# contextkit


<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

## Usage

### Installation

    pip install contextkit

### Using

To get context from an LLM, use one of the helper functions to pull it.

If a function pulls a single context snippit it will return the text, if
it return multiple it will return a dictionary.

``` python
import contextkit.read as rd
```

#### Read_X Functions

Each `read_x` function is designed to work with a single argument, which
is the location of the resource. This typically means a URL or a file
path.

``` python
rd.read_url('https://www.answer.ai/')[:200]
```

    'Answer.AI\n\n  * __\n  * __\n\n# Answer.AI - Practical AI R&D\n\n##### Categories\n\nAll (33)\n\nai (20)\n\ncoding (5)\n\ncompany (2)\n\ncourses (1)\n\neducation (1)\n\ninterview (1)\n\nopen-source (14)\n\npolicy (4)\n\nproduct'

Other arguments are always optional, but can be useful at times. For
example, the `heavy` argument in `read_url` allows you to do a heavy
scrape with a contactless browser using `playwrightnb`.

``` python
rd.read_url('https://www.answer.ai/',heavy=True)[:200]
```

    'Answer.AI\n\n  * __\n  * __\n\n# Answer.AI - Practical AI R&D\n\n##### Categories\n\nAll (33)\n\nai (20)\n\ncoding (5)\n\ncompany (2)\n\ncourses (1)\n\neducation (1)\n\ninterview (1)\n\nopen-source (14)\n\npolicy (4)\n\nproduct'

Many have been creates so far, such as

``` python
[o for o in dir(rd) if o.startswith('read_')]
```

    ['read_dir',
     'read_file',
     'read_gdoc',
     'read_gh_file',
     'read_gh_repo',
     'read_gist',
     'read_git_path',
     'read_google_sheet',
     'read_html',
     'read_pdf',
     'read_url',
     'read_yt_transcript']
